> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/juniper.md).

# Juniper 로그

## 개요

Panther는 일반적인 방식을 통해 Juniper 로그를 수집하는 것을 지원합니다 [데이터 전송](/ko/data-onboarding/data-transports.md) 옵션: Amazon Web Services(AWS) S3 및 SQS.

## Juniper 로그를 Panther에 온보딩하는 방법

이 로그를 Panther에 연결하려면:

1. Panther 콘솔에 로그인합니다.
2. 왼쪽 사이드바에서 클릭합니다 **구성 > 로그 소스**.
3. 다음을 클릭합니다: **새로 만들기**.
4. 온보딩하려는 로그 유형을 검색한 다음 해당 타일을 클릭합니다.
5. 이 통합에 사용할 데이터 전송 방법을 선택한 다음, 해당 방법을 구성하기 위한 Panther의 지침을 따르세요:
   * [AWS SQS](/ko/data-onboarding/data-transports/aws/sqs.md)
   * [AWS S3 버킷](/ko/data-onboarding/data-transports/aws/s3.md)
6. Juniper가 Data Transport 소스로 로그를 푸시하도록 구성합니다.
   * 선택한 Data Transport 소스로 로그를 푸시하는 방법은 Juniper 설명서를 참조하세요.

## 지원되는 로그 유형

### Juniper.Access

박스로 들어오고 나가는 모든 트래픽에 대한 Juniper.Access 로그.

참조: [Access 로그 형식에 대한 Juniper 설명서.](https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-access-log.html)

```yaml
스키마: Juniper.Access
설명: 박스로 들어오고 나가는 모든 트래픽에 대한 Juniper.Access 로그.
참조URL: https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-access-log.html
fields:
    - 이름: timestamp
      required: true
      설명: 로그 항목 타임스탬프
      type: timestamp
      timeFormats:
        - '%b %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: 어플라이언스의 호스트명
      type: string
      표시자:
        - 호스트 이름
    - 이름: log_level
      설명: 로그 항목의 중요도 수준입니다. TRACE, DEBUG, INFO, WARN 또는 ERROR일 수 있습니다.
      type: string
    - 이름: thread
      설명: 요청 또는 응답을 처리하는 특정 스레드입니다.
      type: string
    - 이름: unique_request_key
      설명: 요청을 고유하게 식별하는 데 사용되는 키입니다.
      type: string
    - 이름: type
      설명: HTTP 패킷이 클라이언트 요청인지, 서버 응답인지 여부입니다 (REQUEST,RESPONSE).
      type: string
    - 이름: stage
      설명: HTTP 패킷이 Security Engine이 이를 처리하기 전인지 후인지(그리고 잠재적으로 조작하는지) 여부가 기록됩니다.
      type: string
    - 이름: proxy_client_ip
      설명: 들어오는 클라이언트 IP입니다. WebApp Secure는 Nginx 프록시를 통해 작동하므로 클라이언트 IP는 대부분 '127.0.0.1'입니다.
      type: string
      표시자:
        - ip
    - 이름: url
      설명: 전체 요청 또는 응답 URL입니다.
      type: string
      표시자:
        - domain
```

### Juniper.Audit

감사 로그에는 WebApp Secure에서 수행된 비멱등적(상태를 변경하는) 작업을 나타내는 로그 항목이 포함됩니다.

참조: [Audit 로그 형식에 대한 Juniper 설명서.](https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-incident-log-format.html)

```yaml
스키마: Juniper.Audit
설명: Juniper.Audit 감사 로그에는 WebApp Secure에서 수행된 비멱등적(상태를 변경하는) 작업을 나타내는 로그 항목이 포함됩니다.
참조URL: https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-incident-log-format.html
fields:
    - 이름: timestamp
      required: true
      설명: 로그 항목 타임스탬프
      type: timestamp
      timeFormats:
        - '%b %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: 어플라이언스의 호스트명
      type: string
      표시자:
        - 호스트 이름
    - 이름: log_level
      설명: 로그 항목의 중요도 수준입니다. TRACE, DEBUG, INFO, WARN 또는 ERROR일 수 있습니다.
      type: string
    - name: message
      설명: 메시지입니다. 앞서 언급된 작업 중 어느 것이든 나타낼 수 있습니다.
      type: string
    - 이름: api_key
      설명: 메시지에 설명된 작업을 수행하는 데 사용된 키입니다.
      type: string
    - 이름: login_ip
      설명: 사용자가 로그인한 IP 주소입니다
      type: string
      표시자:
        - ip
    - 이름: username
      설명: 로그인을 수행한 사용자입니다
      type: string
      표시자:
        - 사용자명
```

### Juniper.Firewall

Juniper.Firewall은 iptables 방화벽에서 드롭된 패킷에 대한 정보를 저장합니다.

참조: [Firewall 로그 형식에 대한 Juniper 설명서.](https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-profile-log-format.html)

```yaml
스키마: Juniper.Firewall
설명: Juniper.Firewall은 iptables 방화벽에서 드롭된 패킷에 대한 정보를 저장합니다.
참조URL: https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-incident-log-format.html
fields:
    - 이름: timestamp
      required: true
      설명: 로그 타임스탬프
      type: timestamp
      timeFormats:
        - '%b %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: 호스트명
      type: string
      표시자:
        - 호스트 이름
    - 이름: event
      설명: 이벤트 이름
      type: string
    - 이름: DST
      설명: 대상 IP 주소
      type: string
      표시자:
        - ip
    - 이름: DPT
      설명: 대상 포트
      유형: int
    - 이름: SRC
      설명: 소스 IP 주소
      type: string
      표시자:
        - ip
    - 이름: SPT
      설명: 소스 포트
      유형: int
    - 이름: TTL
      설명: 밀리초 단위의 IP TTL
      type: bigint
    - 이름: ID
      설명: 패킷 ID
      type: bigint
    - 이름: MAC
      설명: MAC 주소
      type: string
      표시자:
        - mac
    - 이름: LEN
      설명: 패킷 길이
      유형: int
    - 이름: TOS
      설명: 패킷 Type of Service 필드
      type: string
    - 이름: PREC
      설명: 패킷 우선순위 비트
      type: string
    - 이름: RES
      설명: 예약 비트
      type: string
    - 이름: RST
      설명: 패킷이 RST입니다
      유형: boolean
    - 이름: SYN
      설명: 패킷이 SYN입니다
      유형: boolean
    - 이름: DF
      설명: 패킷에 조각화 금지 플래그가 있습니다
      유형: boolean
    - 이름: IN
      설명: 입력 인터페이스
      type: string
    - 이름: OUT
      설명: 출력 인터페이스
      type: string
    - 이름: PROTO
      설명: 프로토콜
      type: string
    - 이름: WINDOW
      설명: 전송 윈도우
      유형: int
```

### Juniper.MWS

Juniper.MWS는 대부분의 WebApp Secure 로깅 요구 사항을 위한 기본 로그 파일입니다. 특정 로그 위치가 없는 모든 메시지는 기본적으로 mws.log로 전송됩니다.

참조: [MWS 로그 형식에 대한 Juniper 설명서.](https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-mws-log.html)

```yaml
스키마: Juniper.MWS
설명: Juniper.MWS는 대부분의 WebApp Secure 로깅 요구 사항을 위한 기본 로그 파일입니다. 특정 로그 위치가 없는 모든 메시지는 기본적으로 mws.log로 전송됩니다.
참조URL: https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-mws-log.html
fields:
    - 이름: timestamp
      설명: UTC 기준 로그 항목의 날짜입니다.
      type: timestamp
      timeFormats:
        - '%b %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: 어플라이언스 호스트명입니다.
      type: string
      표시자:
        - 호스트 이름
    - 이름: log_level
      설명: 로그 항목의 중요도 수준입니다. TRACE, DEBUG, INFO, WARN 또는 ERROR일 수 있습니다.
      type: string
    - 이름: service_name
      설명: 로그 항목을 생성한 WebApp Secure 서비스입니다.
      type: string
    - 이름: service_component
      설명: 로그 메시지를 발생시키는 특정 구성 요소입니다.
      type: string
    - 이름: log_message
      설명: 메시지입니다. 무엇이든 될 수 있지만, 일반적으로 문제를 좁혀 나가거나 특정 이벤트가 의도한 대로 발생했는지 확인하는 데 도움이 되는 정보를 포함합니다.
      type: string
```

### Juniper.Postgres

Juniper.Postgres에는 WebApp Secure가 사용하는 데이터베이스 스키마에 대한 변경 작업의 로그와 데이터베이스 작업 중 발생한 모든 오류가 포함됩니다.

참조: [Postgres 로그 형식에 대한 Juniper 설명서.](https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-postgres-log.html)

```yaml
스키마: Juniper.Postgres
설명: Juniper.Postgres에는 WebApp Secure가 사용하는 데이터베이스 스키마에 대한 변경 작업의 로그와 데이터베이스 작업 중 발생한 모든 오류가 포함됩니다.
참조URL: https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-postgres-log.html
fields:
    - 이름: timestamp
      required: true
      설명: 로그 항목 타임스탬프
      type: timestamp
      timeFormats:
        - '%b %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: 머신의 호스트명
      type: string
    - name: pid
      설명: postgres 인스턴스의 프로세스 ID입니다.
      유형: int
    - 이름: group_id_major
      설명: 그룹 ID 메이저 번호
      유형: int
    - 이름: group_id_minor
      설명: 그룹 ID 마이너 번호
      유형: int
    - 이름: sql_error_code
      설명: SQL 오류 코드입니다.
      type: string
    - 이름: session_id
      설명: 로그에서 특정 줄을 검색하는 데 사용할 수 있는 다소 고유한 세션 식별자입니다.
      type: string
      표시자:
        - trace_id
    - 이름: message_type
      설명: 메시지 유형입니다. LOG, WARNING, ERROR 또는 STATEMENT일 수 있습니다.
      type: string
    - name: message
      설명: 메시지입니다.
      type: string
```

### Juniper.Security

Juniper.Security Webapp Secure는 보안 인시던트를 mws-security.log에 기록하도록 구성되어 있습니다. 모든 보안 알러트는 security.log로 전송되어야 합니다(이전 이름은 security-알러트.log). 이 로그에는 새로운 프로필, 보안 인시던트, 새로운 카운터 응답 등 다양한 유형의 보안 인시던트가 포함됩니다.

참조: [Security 로그 형식에 대한 Juniper 설명서.](https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-log-format.html)

```yaml
스키마: Juniper.Security
description: |-
    Juniper.Security Webapp Secure는 보안 인시던트를 mws-security.log에 기록하도록 구성되어 있습니다.
    모든 보안 알러트는 security.log로 전송되어야 합니다(이전 이름은 security-알러트.log).
    이 로그에는 새로운 프로필, 보안 인시던트, 새로운 카운터 응답 등 다양한 유형의 보안 인시던트가 포함됩니다.
참조URL: https://www.juniper.net/documentation/en_US/webapp5.6/topics/reference/w-a-s-log-format.html
fields:
    - 이름: timestamp
      required: true
      설명: 로그 항목 타임스탬프
      type: timestamp
      timeFormats:
        - '%b %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: 어플라이언스의 호스트명
      type: string
      표시자:
        - 호스트 이름
    - 이름: log_level
      설명: 로그 항목의 중요도 수준입니다. TRACE, DEBUG, INFO, WARN 또는 ERROR일 수 있습니다.
      type: string
    - 이름: service
      설명: 보안 로그 항목을 트리거한 WebApp Secure 서비스입니다.
      type: string
    - name: category
      설명: 로그 항목 범주
      type: string
    - 이름: profile_id
      설명: 보안 알러트를 유발한 Profile에 할당된 숫자 ID 또는 Response를 받은 프로필 ID입니다.
      type: string
    - 이름: profile_name
      설명: 보안 알러트를 유발한 Profile에 할당된 친숙한 이름 또는 Response를 받은 Profile입니다.
      type: string
    - 이름: pubkey
      설명: Support_Processor와 함께 사용하여 Profiles의 차단을 해제하는 데 사용할 수 있는 Public ID입니다.
      type: string
    - 이름: incident
      설명: 이 보안 알러트를 트리거한 인시던트의 이름입니다.
      type: string
    - 이름: severity
      설명: 이 보안 알러트를 트리거한 인시던트의 숫자 심각도입니다. 0부터 4까지의 숫자일 수 있으며, 양 끝값을 포함합니다.
      유형: smallint
    - 이름: source_ip
      설명: 이 알러트를 생성한 요청이 시작된 IP입니다.
      type: string
      표시자:
        - ip
    - 이름: user_agent
      설명: 이 알러트를 생성한 클라이언트의 사용자 에이전트 문자열입니다.
      type: string
    - 이름: url
      설명: 이 알러트를 생성한 요청 URL입니다.
      type: string
      표시자:
        - url
    - 이름: count
      설명: 프로필이 이 인시던트를 트리거한 횟수입니다. 이는 특정 인시던트에 대해 프로필을 상향 조정할지 또는 프로필의 응답을 늘릴지 결정하는 데 사용됩니다.
      유형: int
    - 이름: fake_response
      설명: 클라이언트에 다시 전송된 응답이 WebApp Secure에서 생성한 가짜 응답인지 여부(true 또는 false)입니다.
      유형: boolean
    - 이름: response_code
      설명: 발행된 응답의 숫자 코드입니다.
      type: string
    - 이름: response_name
      설명: 알러트에 표시된 프로필에 대해 발행된 응답의 친숙한 이름입니다.
      type: string
    - 이름: created_date
      설명: 응답이 생성된 날짜와 시간입니다.
      type: timestamp
      timeFormats:
        - '%Y-%m-%d %H:%M:%S.%f'
    - 이름: delay_date
      설명: 응답이 지연되도록 설정된 날짜와 시간입니다.
      type: timestamp
      timeFormats:
        - '%Y-%m-%d %H:%M:%S.%f'
    - 이름: expiration_date
      설명: 응답이 만료되도록 설정된 날짜와 시간입니다.
      type: timestamp
      timeFormats:
        - '%Y-%m-%d %H:%M:%S.%f'
    - 이름: response_config
      설명: 이 응답에 사용된 구성입니다. XML과 유사한 노드로 표시됩니다.
      type: string
    - 이름: silent_running
      설명: 이 Counter Response가 활성화 시점에 Silent Running 서비스와 함께 무음으로 설정되었는지 여부입니다.
      유형: boolean
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/juniper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
